# ReflectionFunction::invoke

(PHP 5, PHP 7)

ReflectionFunction::invoke — Invokes function

### Description

public ReflectionFunction::invoke ([ mixed `$...` ] ) : mixed

Invokes a reflected function.

### Parameters

`...`

  The passed in argument list. It accepts a variable number of arguments which are passed to the function much like call_user_func() is.

### Return Values

Returns the result of the invoked function call.

### Examples

Example #1 ReflectionFunction::invoke() example

`<?php
function title($title, $name)
{
return sprintf("%s. %s\r\n", $title, $name);
}
$function = new ReflectionFunction('title');
echo $function->invoke('Dr', 'Phil');
?>`

The above example will output:

    Dr. Phil

### Notes

> Note:

> If the function has arguments that need to be references, then they must be references in the passed argument list.

### See Also

- ReflectionFunction::export() - Exports function
- __invoke()
- call_user_func() - Call the callback given by the first parameter